From: Geert.Uytterhoeven@thomas.kotnet.org
Date: Thu, 22 May 1997 20:59:41 +0200 (MET DST)
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: X and dynamic mode switching under 2.1.x
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>


If you change the video mode in X, the screen should not be redrawn.

Note: this patch is also present in my good old abscon patch.

--- linux-2.1.39/arch/m68k/kernel/console.c.orig	Sun May 18 23:05:15 1997
+++ linux-2.1.39/arch/m68k/kernel/console.c	Thu May 22 20:43:54 1997
@@ -413,7 +413,10 @@
 	set_scrmem(fg_console, 0);
 	set_origin(fg_console);
 #endif /* XXX */
-	update_screen(fg_console);
+	/* don't update in graphics mode */
+	if (currcons == fg_console && vt_cons[fg_console]->vc_mode == KD_TEXT)
+	    update_screen(fg_console);
+
 	set_cursor(fg_console);
 
 	return 0;
@@ -505,8 +508,9 @@
 	    console_table[currcons]->winsize = ws;
 	}
 
-   if (currcons == fg_console)
-      update_screen(fg_console);
+	/* don't update in graphics mode */
+	if (currcons == fg_console && vt_cons[fg_console]->vc_mode == KD_TEXT)
+	    update_screen(fg_console);
 }
 
 void vc_disallocate(unsigned int currcons)

Greetings,

						Geert

--
Geert Uytterhoeven                   Geert..Uytterhoeven@thomas.kotnet.org
Linux/m68k on Amiga, Wavelets        http://www.cs.kuleuven.ac.be/~geert/
KotNET@Thomas Network Administration -- Make you bed part of Cyberspace!!


